#![warn(clippy::style, clippy::pedantic)]

mod utils;
mod db;
mod discord;

use std::error::Error;

#[tokio::main]
async fn main() -> Result<(), Box<dyn Error>> {
    dotenvy::dotenv()?;
    color_eyre::install()?;
    utils::setup_logging();

    let bot = discord::make_bot();
    bot.run().await?;

    Ok(())
}
